View Issue Details

IDProjectCategoryView StatusLast Update
0000998SymmetricDSImprovementpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.2.2 
Target Version3.2.3Fixed in Version3.2.3 
Summary0000998: Add parameters that allow the routing query to be optimized for large numbers of gaps with a large set of unrouted sym_data rows
DescriptionThis allows for as simple of a query that there is to select from sym_data.

select columns from sym_data where data_id > :first_gap_id

# Use the order by clause to order sym_data when selecting data for routing. Most databases
# order the data naturally and might even have better performance when the order by clause is
# left off.
#
# DatabaseOverridable: true
# Tags: routing
routing.data.reader.order.by.gap.id.enabled=true

# Select data to route from sym_data using a simple > start_gap_id query if
# the number of gaps in sym_data_gap are greater than the following number
#
# DatabaseOverridable: true
# Tags: routing
routing.data.reader.threshold.gaps.to.use.greater.than.query=100
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master db01de8d

2013-01-21 14:12:16

chenson

Details Diff
0000998: Add parameters that allow the routing query to be optimized for large numbers of gaps with a large set of unrouted sym_data rows
0000998
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

SymmetricDS: master 87783935

2013-01-21 14:14:10

chenson

Details Diff
0000998: Add parameters that allow the routing query to be optimized for large numbers of gaps with a large set of unrouted sym_data rows
0000998
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

SymmetricDS: master 579bd6c4

2013-01-23 08:30:36

chenson

Details Diff
0000998: Add parameters that allow the routing query to be optimized for large numbers of gaps with a large set of unrouted sym_data rows.

Additional logging

0000998
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File

Issue History

Date Modified Username Field Change
2013-01-21 14:11 chenson New Issue
2013-01-21 14:11 chenson Product Version => 3.2.2
2013-01-21 14:11 chenson Fixed in Version => 3.2.3
2013-01-21 14:11 chenson Target Version => 3.2.3
2013-01-21 14:12 chenson Status new => resolved
2013-01-21 14:12 chenson Resolution open => fixed
2013-01-21 14:12 chenson Assigned To => chenson
2013-01-23 20:35 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6767
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6768
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6774
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 579bd6c4
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 87783935
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master db01de8d